# $Revision: 1.31 $, $Date: 2002/08/06 13:41:52 $
Summary:	Tool for memory profiling and leak detection
Summary(pl):	Narzdzie do profilowania i detekcji wyciekw pamici
Name:		memprof
Version:	0.4.1
Release:	5
Epoch:		1
License:	GPL
Group:		Development/Debuggers
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/memprof/%{name}-%{version}.tar.gz
URL:		http://people.redhat.com/~otaylor/memprof/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	binutils-static
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	libglade-gnome-devel >= 0.7
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Memprof is a tool for profiling memory usage and detecting memory
leaks. It can be used with existing binaries without need for
recompilation.

%description -l pl
Memprof jest narzdziem do profilowania pamici oraz detekcji "memory
leakw". Moe by uywany z istniejcymi binariami bez koniecznoci
ich przebudowywania.

%prep
%setup -q

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Developmentdir=%{_applnkdir}/Development

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_datadir}/memprof
%{_applnkdir}/Development/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: memprof.spec,v $
Revision 1.31  2002/08/06 13:41:52  qboosh
- BR: libglade-gnome-devel; release 5

Revision 1.30  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.29  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.28  2002/05/21 23:14:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.26  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/09/26 12:27:37  qboosh
- BuildRequires: libtool

Revision 1.22  2001/09/23 20:31:40  blues
- release 4
- make libtool happy
- some translations
- ac2.5 ready

Revision 1.21  2001/04/22 23:34:22  kloczek
- updated to 0.4.1 (Release 3, Epoch: 1),
- enable %%find_lang,
- added pixmaps to %files,
- BuildRequires for binutils changed to binutils-static.

Revision 1.20  2001/01/06 16:48:11  kloczek
- release 13: rebuild agaist binutils 2.10.1.0.4.

Revision 1.19  2000/11/01 07:15:43  kloczek
- release 12: rebuild against gnome-libs linked with db3 and binutils
  2.10.0.33.

Revision 1.18  2000/10/18 18:18:25  kloczek
- release 11: rebuild agains binutils 2.10.0.31.

Revision 1.17  2000/09/09 03:09:47  kloczek
- release 10,
- rebuild againsr binutils 2.10.0.24,
- BuildRequires for binutils changed to binutils-static.

Revision 1.16  2000/07/18 15:39:33  kloczek
- release 9,
- rebuild against binutils >= 2.10.0.12.

Revision 1.15  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/06/05 16:07:52  kloczek
- typo.

Revision 1.13  2000/06/05 15:58:34  kloczek
- disable using %%find_lang macro (current version has no translated
  resources).

Revision 1.12  2000/06/05 15:53:32  kloczek
- release 8,
- build againd binutils = 2.9.5.0.46.

Revision 1.11  2000/05/31 12:46:32  kloczek
- spec adapterized.

Revision 1.10  2000/04/14 17:55:51  kloczek
- release 7,
- rebuild against binutils 2.9.5.0.35,
- removed applnk patch and install desktop files without patching source.

Revision 1.9  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.7  2000/03/09 22:00:03  kloczek
- release 6,
- rebuild against binutils = 2.9.5.0.29.

Revision 1.6  2000/01/28 19:05:01  kloczek
- release 5,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.5  2000/01/20 22:30:28  kloczek
- typo.

Revision 1.4  2000/01/20 22:11:07  kloczek
- more BuildRequires.

Revision 1.3  2000/01/20 22:09:44  kloczek
- release 4,
- completly rewriten in PLD style.

* Wed Jan 12 2000 Owen Taylor <otaylor@redhat.com>
- Link against libbfd and libiberty statically.

* Wed Oct 27 1999 Owen Taylor <otaylor@redhat.com>
- Initial package
